package com.yingying.tourist.business;

import java.util.HashMap;
import java.util.Map;
import java.util.ResourceBundle;

public class BusinessConstant {

    public enum Identity{
        A("A","自然的崇拜者"), B("B","无畏的冒险家"), C("C","知识的追求者"),D("D","心灵的按摩师");

        Identity(String key,String value){
            this.key = key;
            this.value = value;
        }
        public String key;
        public String value;

        public static String getValue(String key) {
            if (key==null) return null;
            for (Identity d : Identity.values()){
                if (key.equals(d.key)) {
                    return d.value;
                }
            }
            return key;
        }
    }

    public static Map<Integer, String> describeMap = new HashMap<>(16,1);
    public static Map<Integer, String> destinationMap = new HashMap<>(16,1);
    static {
        describeMap.put(1,"在山西挖煤挖到300000斤");
        describeMap.put(2,"做环卫工打扫400个公厕坑位");
        describeMap.put(3,"去动物园完成200次小脑斧近身喂食");
        describeMap.put(4,"埋伏在巷子口专业碰瓷150次");
        describeMap.put(5,"出演神剧龙套装死1800次");
        describeMap.put(6,"在鬼屋扮鬼被人毒打900次");
        describeMap.put(7,"在路边卖掉12000张煎饼果子");
        describeMap.put(8,"帮狗粮工厂试吃1111罐狗粮");
        describeMap.put(9,"在澡堂搭毛巾帮人搓澡1700次");
        describeMap.put(10,"骑三轮车拉完800个胖太太客人");
        describeMap.put(11,"沿街收破烂走过600条街");
        describeMap.put(12,"劝退300位斯巴达广场舞大妈");
        describeMap.put(13,"猫在后厨边哭边刷30000个盘子");
        describeMap.put(14,"去民政局门口卖唱500首分手快乐");
        describeMap.put(15,"去黑帮老大家催收到200万欠款");
        describeMap.put(16,"下乡给4000头公猪做绝育手术");
        destinationMap.put(1,"我扛起冲浪板，上板、坐板、抓浪、起乘，一次次成功站起，一次次驾驭海浪...我立刻拿起相机，反手给自己在冲浪板上来了张最酷的自拍。");
        destinationMap.put(2,"我穿梭在北京的老胡同里，和非遗传人手把手学做毛猴，制作京剧脸谱，烟袋斜街寻找北京符号，体验黄包车听车夫讲皇城根下的秘闻。");
        destinationMap.put(3,"我迈步走近了佛塔，双手合十虔诚祈祷，心灵的一切杂念此刻都先放下，耳边只剩下风的私语和寺庙的诵经声，这是心灵的修行。");
        destinationMap.put(4,"我被赠送一个传送门，可以立刻传送至全世界任意一个地方，我兴奋的拿起相机，准备开门，然后梦醒了...");
        destinationMap.put(5,"历经一个多月的漂流，我愈发坚强，闪闪发亮的碧波、以及时不时跃出海面的座头鲸，成为了我最好的朋友。");
        destinationMap.put(6,"我坐在全世界最高的42.5米的双轨过山车上，急速飞驰！身体在空中舒展，大地变换了新奇的角度，这就是速度与激情！");
        destinationMap.put(7,"我席地盘坐在蒙古大草原的篝火边，饮下一口马奶酒，在主人悠扬的马头琴声中悠悠哼着草原小调，草原的夜空繁星无际，雄伟辽阔。");
        destinationMap.put(8,"我坐在小酒馆的窗边，拿起酒杯小酌一口，听着小酒馆里的民谣，望着窗外街上的游人行色匆匆，手指轻敲桌面打着节奏，轻声慢和..");
        destinationMap.put(9,"一场淋漓尽致的帆船体验之后，我来到海边渔村，感受这真实鲜活的渔村民俗文化，渔船搭建、渔家手工、海水豆腐...俨然成为了地道的小渔民。");
        destinationMap.put(10,"翻过雪岭、穿越雨林，在这个没有公路的县城，我与小伙伴结伴同行，欣赏着常人看不到的美景，品尝当地特色的石锅鸡。");
        destinationMap.put(11,"我打开时空隧道，来到千年前的繁荣商街，分无分文的他，结识了靠谱的经商伙伴，白手起家，开辟当地共享经济，成为了人们津津乐道的富商。");
        destinationMap.put(12,"我踩着轻快的步子下楼散步，期间共被广场舞大妈挡道7次，被业主的狗狂追10次，被外卖小哥撞飞8次，最后狼狈不堪逃回家。");
        destinationMap.put(13,"我大步走向雨林深处，开始荒野求生之路，没有救援，没有食物，我拿着手上的军工铲为自己开辟出一条生路。");
        destinationMap.put(14,"我站在中国近代建筑遗存中规模最大，保存最完整的建筑群前，仿佛一页页历史篇章在眼前翻过，拿起相机记录下了这历史的缩影。");
        destinationMap.put(15,"在每日高强度的军事训练下，我成为了一名身体素质极强的战士，此刻，我正坚守阵地，为维护海外国家利益贡献自己的力量。");
        destinationMap.put(16,"我站在甲板上，任由湿漉漉的江风吹过脸颊拂过发，感受着广州的现代活力与跳动，流光溢彩，霓虹闪烁，享受着这一刻。");
    }
}
